File mozilla-disable-webm-dependencies.patch of Package MozillaFirefox.2037

# HG changeset patch
# Parent 4e206e81e8b0ad79fd01c6ef270a27f684368c5a
# Parent  84fc3fa13e0b956e77704149ae9421c0d5aee968
Make the encoder portion dependent on WebM as such (bmo#964484)

diff --git a/configure.in b/configure.in
--- a/configure.in
+++ b/configure.in
@@ -5480,16 +5480,19 @@ AC_SUBST_LIST(MOZ_LIBVPX_CFLAGS)
 AC_SUBST_LIST(MOZ_LIBVPX_LIBS)
 
 if test "$MOZ_WEBM"; then
     if test "$MOZ_SAMPLE_TYPE_FLOAT32"; then
         MOZ_VORBIS=1
     else
         MOZ_TREMOR=1
     fi
+else
+    MOZ_WEBM_ENCODER=
+    MOZ_VORBIS=1
 fi
 
 if test -n "$MOZ_VPX" -a -z "$MOZ_NATIVE_LIBVPX"; then
 
     dnl Detect if we can use an assembler to compile optimized assembly for libvpx.
     dnl We currently require yasm on all x86 platforms and require yasm 1.1.0 on Win32.
     dnl We currently require gcc on all arm platforms.
     VPX_AS=$YASM
openSUSE Build Service is sponsored by